LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
TransliterationType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Constant Groups
constants | com::sun::star::i18n::TransliterationType
| Bitmask transliteration types used with XTransliteration::getType() and XTransliteration::getAvailableModules() methods.

## Variables
const short | NONE = 0
const short | ONE_TO_ONE = 1
| A transliteration module is ONE_TO_ONE if and only if it's mapping between characters is one to one like a-z to A-Z. More...
const short | NUMERIC = 2
| A transliteration module can have attribute NUMERIC if it transliterates numbers in different languages like Chinese numbers to Arabic numbers and vice versa. More...
const short | ONE_TO_ONE_NUMERIC = 3
| A transliteration module is ONE_TO_ONE_NUMERIC if it offers both one to one mapping and handles number also. More...
const short | IGNORE = 4
| With a transliteration IGNORE case, the regular expression A-Z can be transformed to a-z, for example. More...
const short | CASCADE = 8
| If the transliteration is cascaded (uses more than one algorithm). More...